OpenJPEG 2.5.4

Data Fields
opj_tgt_tree Struct Reference

Tag tree. More...

`#include <tgt.h>`

## Data Fields
OPJ_UINT32 | numleafsh
OPJ_UINT32 | numleafsv
OPJ_UINT32 | numnodes
opj_tgt_node_t * | nodes
OPJ_UINT32 | nodes_size

## Detailed Description

Tag tree.

## Field Documentation

## ◆ nodes

opj_tgt_node_t* opj_tgt_tree::nodes

Referenced by opj_tgt_create(), opj_tgt_decode(), opj_tgt_destroy(), opj_tgt_encode(), opj_tgt_init(), opj_tgt_reset(), and opj_tgt_setvalue().

## ◆ nodes_size

OPJ_UINT32 opj_tgt_tree::nodes_size

Referenced by opj_tgt_create(), and opj_tgt_init().

## ◆ numleafsh

OPJ_UINT32 opj_tgt_tree::numleafsh

Referenced by opj_tgt_create(), and opj_tgt_init().

## ◆ numleafsv

OPJ_UINT32 opj_tgt_tree::numleafsv

Referenced by opj_tgt_create(), and opj_tgt_init().

## ◆ numnodes

OPJ_UINT32 opj_tgt_tree::numnodes

Referenced by opj_tgt_create(), opj_tgt_init(), and opj_tgt_reset().

The documentation for this struct was generated from the following file:

- tgt.h